Summary:	Advanced vector graphics editor
Name:		sk1
Version:	0.9.3
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphics/Editors and Converters
Url:		http://sk1project.org
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/sK1_v.%{version}/%{name}-%{version}.tar.gz
BuildRequires:	tcl
BuildRequires:	tk
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(pycairo)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(lcms2)
Requires:	pygtk2.0
Requires:	python-imaging
Requires:	python-imaging-tk
Requires:	tkinter
Requires:	python-reportlab
Requires:	python-cairo

%description
sK1 is an open source vector graphics editor similar to CorelDRAW,
Adobe Illustrator, or Freehand. sK1 is mainly oriented for PostScript
processing. It features CMYK colorspace support, CMYK support in
Postscript, a Cairo-based engine, color managment, universal CDR
importer (7-X3 versions), and a modern Ttk based (former Tile widgets)
user interface.
First of all sK1 is oriented for prepress industry, therefore works
with CMYK colorspace and produces CMYK-based PDF and postscript output.

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --root=%{buildroot} --record=INSTALLED_FILES

%files -f INSTALLED_FILES


%changelog
* Sun Nov 22 2015 alexl <alexl> 0.9.3-1.mga6
+ Revision: 904939
- version 0.9.3

* Mon Oct 05 2015 daviddavid <daviddavid> 0.9.2-2.mga6
+ Revision: 886329
- rebuild for new tcl/tk 8.6.4

* Sat Dec 20 2014 alexl <alexl> 0.9.2-1.mga5
+ Revision: 804395
- dropped deprecated patches
- version 0.9.2

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-0.svn737.5.mga5
+ Revision: 740630
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tv <tv> 0.9.1-0.svn737.4.mga5
+ Revision: 731527
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Aug 15 2014 alexl <alexl> 0.9.1-0.svn737.3.mga5
+ Revision: 662878
- fixed buildrequires
- translated desktop file

  + spuhler <spuhler>
    - changed BuildRequires:	pkgconfig(lcms) to pkgconfig(lcms2)
    - reversed last change, we don't have source svn738

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Apr 18 2014 alexl <alexl> 0.9.1-0.svn737.1.mga5
+ Revision: 616837
- imported package sk1

